メインコンテンツへスキップ
POST
/
cms
/
v3
/
pages
/
landing-pages
/
folders
ランディングページフォルダーを作成
curl --request POST \
  --url https://api.hubapi.com/cms/v3/pages/landing-pages/folders \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "category": 123,
  "created": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "name": "<string>",
  "parentFolderId": 123,
  "updated": "2023-11-07T05:31:56Z"
}
'
import requests

url = "https://api.hubapi.com/cms/v3/pages/landing-pages/folders"

payload = {
"category": 123,
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"parentFolderId": 123,
"updated": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
category: 123,
created: '2023-11-07T05:31:56Z',
deletedAt: '2023-11-07T05:31:56Z',
id: '<string>',
name: '<string>',
parentFolderId: 123,
updated: '2023-11-07T05:31:56Z'
})
};

fetch('https://api.hubapi.com/cms/v3/pages/landing-pages/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "category": 123,
  "created": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "name": "<string>",
  "parentFolderId": 123,
  "updated": "2023-11-07T05:31:56Z"
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json

Model definition for a content folder.

category
integer<int32>
必須

このフォルダーが適用されるオブジェクトのタイプ。常にLANDING_PAGEにしてください。

created
string<date-time>
必須

コンテンツフォルダーが作成された日時を示すタイムスタンプ。

deletedAt
string<date-time>
必須

このコンテンツフォルダーが削除されたタイムスタンプ(ISO8601 形式)。

id
string
必須

コンテンツフォルダーの一意の ID。

name
string
必須

アプリダッシュボードに表示されるフォルダー名

parentFolderId
integer<int64>
必須

このフォルダーがネストされているコンテンツフォルダーの ID

updated
string<date-time>
必須

コンテンツフォルダーが最後に更新された日時を示すタイムスタンプ。

レスポンス

successful operation

Model definition for a content folder.

category
integer<int32>
必須

このフォルダーが適用されるオブジェクトのタイプ。常にLANDING_PAGEにしてください。

created
string<date-time>
必須

コンテンツフォルダーが作成された日時を示すタイムスタンプ。

deletedAt
string<date-time>
必須

このコンテンツフォルダーが削除されたタイムスタンプ(ISO8601 形式)。

id
string
必須

コンテンツフォルダーの一意の ID。

name
string
必須

アプリダッシュボードに表示されるフォルダー名

parentFolderId
integer<int64>
必須

このフォルダーがネストされているコンテンツフォルダーの ID

updated
string<date-time>
必須

コンテンツフォルダーが最後に更新された日時を示すタイムスタンプ。

最終更新日 2026年4月10日